function [DCalRSNTot,DCalRSNHRTot,DCalLLTot,DCalDLTot] = NuovaConversione(DCalRSNTot,...
    DCalRSNHRTot,DCalLLTot,DCalDLTot)

% Conversione del formato dati che usiamo con il database Ase_New

%% RSN Link
[r,c] = size(DCalRSNTot);
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalRSNTot{ii,jj};
        end
    end
    DCalRSNTot = MATconv;
end

%% RSN Link HR
[r,c] = size(DCalRSNHRTot);
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalRSNHRTot{ii,jj};
        end
    end
    DCalRSNHRTot = MATconv;
end

%% Load Link
[r,c] = size(DCalLLTot);
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalLLTot{ii,jj};
        end
    end
    DCalLLTot = MATconv;
end

%% Debris Link
[r,c] = size(DCalDLTot);
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalDLTot{ii,jj};
        end
    end
    DCalDLTot = MATconv;
end

end